Package de.willuhn.jameica.hbci.gui.controller

# Class EmpfaengerControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.EmpfaengerControl

public class EmpfaengerControl extends de.willuhn.jameica.gui.AbstractControl
Controller fuer die Empfaenger-Adressen.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`EmpfaengerControl(de.willuhn.jameica.gui.AbstractView view)`

## Method Summary

Modifier and Type
Method
Description
`Address`
`getAddress()`
Liefert die Adresse.
`de.willuhn.jameica.gui.input.Input`
`getBank()`
Liefert das Eingabe-Feld fuer den Namen der Bank.
`de.willuhn.jameica.gui.input.Input`
`getBic()`
Liefert das Eingabe-Feld fuer die BIC.
`de.willuhn.jameica.gui.input.Input`
`getBlz()`
Liefert das Eingabe-Feld fuer die BLZ.
`de.willuhn.jameica.gui.Part`
`getEmpfaengerListe()`
Liefert eine Tabelle mit allen vorhandenen Empfaengern.
`de.willuhn.jameica.gui.input.Input`
`getIban()`
Liefert das Eingabe-Feld fuer die IBAN.
`de.willuhn.jameica.gui.input.SelectInput`
`getKategorie()`
Liefert ein editierbares Auswahlfeld mit der Kategorie.
`de.willuhn.jameica.gui.input.Input`
`getKommentar()`
Liefert ein Eingabe-Feld fuer einen Kommentar.
`de.willuhn.jameica.gui.input.Input`
`getKontonummer()`
Liefert das Eingabe-Feld fuer die Kontonummer.
`de.willuhn.jameica.gui.Part`
`getLastschriftListe()`
Liefert eine Liste von allen Lastschriften, die von dieser Adresse eingezogen wurden.
`de.willuhn.jameica.gui.input.Input`
`getName()`
Liefert das Eingabe-Feld fuer den Namen.
`de.willuhn.jameica.gui.Part`
`getSammelLastListe()`
Liefert eine Liste von allen Sammel-Lastschrift-Buchungen, die von dieser Adresse eingezogen wurden.
`de.willuhn.jameica.gui.Part`
`getSammelUeberweisungListe()`
Liefert eine Liste von allen Sammel-Ueberweisung-Buchungen, die an diese Adresse ueberwiesen wurden.
`de.willuhn.jameica.gui.Part`
`getUeberweisungListe()`
Liefert eine Liste von allen Ueberweisung, die an diese Adresse ueberwiesen wurden.
`de.willuhn.jameica.gui.Part`
`getUmsatzListe()`
Liefert eine Liste von allen Umsaetzen an/von diese/dieser Adresse.
`void`
`handleStore()`
Speichert den Empfaenger.
`boolean`
`isHibiscusAdresse()`
Prueft, ob es sich bei der Adresse um eine Hibiscus-Adresse handelt und diese aenderbar ist.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmpfaengerControl

public EmpfaengerControl(de.willuhn.jameica.gui.AbstractView view)

Parameters:
  `view` -

## Method Details

### getAddress

public Address getAddress() throws RemoteException
Liefert die Adresse. Existiert er nicht, wird ein neuer erzeugt.

Returns:
  die Adresse.
Throws:
  `RemoteException`

### isHibiscusAdresse

public boolean isHibiscusAdresse() throws RemoteException
Prueft, ob es sich bei der Adresse um eine Hibiscus-Adresse handelt und diese aenderbar ist.

Returns:
  true, wenn es eine Hibiscus-Adresse ist.
Throws:
  `RemoteException`

### getEmpfaengerListe

public de.willuhn.jameica.gui.Part getEmpfaengerListe() throws RemoteException
Liefert eine Tabelle mit allen vorhandenen Empfaengern.

Returns:
  Tabelle.
Throws:
  `RemoteException`

### getUmsatzListe

public de.willuhn.jameica.gui.Part getUmsatzListe() throws RemoteException
Liefert eine Liste von allen Umsaetzen an/von diese/dieser Adresse.

Returns:
  Tabelle.
Throws:
  `RemoteException`

### getUeberweisungListe

public de.willuhn.jameica.gui.Part getUeberweisungListe() throws RemoteException
Liefert eine Liste von allen Ueberweisung, die an diese Adresse ueberwiesen wurden.

Returns:
  Tabelle.
Throws:
  `RemoteException`

### getLastschriftListe

public de.willuhn.jameica.gui.Part getLastschriftListe() throws RemoteException
Liefert eine Liste von allen Lastschriften, die von dieser Adresse eingezogen wurden.

Returns:
  Tabelle.
Throws:
  `RemoteException`

### getSammelUeberweisungListe

public de.willuhn.jameica.gui.Part getSammelUeberweisungListe() throws RemoteException
Liefert eine Liste von allen Sammel-Ueberweisung-Buchungen, die an diese Adresse ueberwiesen wurden.

Returns:
  Tabelle.
Throws:
  `RemoteException`

### getSammelLastListe

public de.willuhn.jameica.gui.Part getSammelLastListe() throws RemoteException
Liefert eine Liste von allen Sammel-Lastschrift-Buchungen, die von dieser Adresse eingezogen wurden.

Returns:
  Tabelle.
Throws:
  `RemoteException`

### getKontonummer

public de.willuhn.jameica.gui.input.Input getKontonummer() throws RemoteException
Liefert das Eingabe-Feld fuer die Kontonummer.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getKommentar

public de.willuhn.jameica.gui.input.Input getKommentar() throws RemoteException
Liefert ein Eingabe-Feld fuer einen Kommentar.

Returns:
  Kommentar.
Throws:
  `RemoteException`

### getKategorie

public de.willuhn.jameica.gui.input.SelectInput getKategorie() throws RemoteException
Liefert ein editierbares Auswahlfeld mit der Kategorie.

Returns:
  Auswahlfeld.
Throws:
  `RemoteException`

### getBlz

public de.willuhn.jameica.gui.input.Input getBlz() throws RemoteException
Liefert das Eingabe-Feld fuer die BLZ.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getIban

public de.willuhn.jameica.gui.input.Input getIban() throws RemoteException
Liefert das Eingabe-Feld fuer die IBAN.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getBic

public de.willuhn.jameica.gui.input.Input getBic() throws RemoteException
Liefert das Eingabe-Feld fuer die BIC.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getBank

public de.willuhn.jameica.gui.input.Input getBank() throws RemoteException
Liefert das Eingabe-Feld fuer den Namen der Bank.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getName

public de.willuhn.jameica.gui.input.Input getName() throws RemoteException
Liefert das Eingabe-Feld fuer den Namen.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### handleStore

public void handleStore()
Speichert den Empfaenger.